//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2014.08.29 at 01:16:10 PM CEST
//


package net.ihe.gazelle.goc.ecore;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the uml package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlRegistry
public class ObjectFactory {

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ecore.
     */
    public ObjectFactory() {
    	// objectfactory constructor
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.ecore.EPackage}.
     *
     * @return a {@link net.ihe.gazelle.goc.ecore.EPackage} object.
     */
    public EPackage createEPackage() {
        return new EPackage();
    }

}
